Subject: janitoring

From: Pierre Habouzit <[email-masked]>
Date: Wed, 22 Jul 2009 23:34:32 +0200

[PATCH 1/3] janitor: use NULL and not 0 for pointers.

  I really dislike the use of 0 when NULL is meant. This patch probably
  fixes most of them. The biggest culprit is nedmalloc, but a few
  remnants exist in plain git code.

[PATCH 2/3] refactor: use bitsizeof() instead of 8 * sizeof()

  use a macro for CHAR_BIT * sizeof(...), I tend to find it more
  readable than 8 * sizeof(...) in the code. YMMV.

[PATCH 3/3] janitor: add DIV_ROUND_UP and use it.

  Just use linux/kernel.h DIV_ROUND_UP(a, b), it's way easier to read
  than (a + b - 1) / (b).

PS: I don't mind if some patches don't meet large enthusiasm and are
    dropped.
-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org